ParserEventTypeEnum (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.parser

## Enum ParserEventTypeEnum

- java.lang.Object
- - java.lang.Enum<ParserEventTypeEnum>
  - - opennlp.tools.parser.ParserEventTypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<ParserEventTypeEnum>

      public enum ParserEventTypeEnum
      extends Enum<ParserEventTypeEnum>

  Enumerated type of event types for the parser.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTACH`
    `BUILD`
    `CHECK`
    `CHUNK` Deprecated.
    `TAG` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParserEventTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParserEventTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUILD

          public static final ParserEventTypeEnum BUILD

    - #### CHECK

          public static final ParserEventTypeEnum CHECK

    - #### CHUNK

          @Deprecated
          public static final ParserEventTypeEnum CHUNK

      Deprecated.

    - #### TAG

          @Deprecated
          public static final ParserEventTypeEnum TAG

      Deprecated.

    - #### ATTACH

          public static final ParserEventTypeEnum ATTACH

  - ### Method Detail

    - #### values

          public static ParserEventTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParserEventTypeEnum c : ParserEventTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParserEventTypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.